Disk ARchive: libdar::archive_options_test Class Reference

| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::archive_options_test Class Reference
API

class holding optional parameters used to test the structure coherence of an existing archive More...

`#include <archive_options.hpp>`

## Public Member Functions
| archive_options_test (const archive_options_test &ref)
| archive_options_test (archive_options_test &&ref) noexcept
archive_options_test & | operator= (const archive_options_test &ref)
archive_options_test & | operator= (archive_options_test &&ref) noexcept
void | clear ()
void | set_selection (const mask &selection)
| list of filenames to consider (directory not concerned by this fiter)
void | set_subtree (const mask &subtree)
| defines the directories and files to consider
void | set_info_details (bool info_details)
void | set_display_skipped (bool display_skipped)
| whether to display files that have been excluded by filters
void | set_display_treated (bool display_treated, bool only_dir)
void | set_empty (bool empty)
| dry-run exectution if set to true
const mask & | get_selection () const
const mask & | get_subtree () const
bool | get_info_details () const
bool | get_display_treated () const
bool | get_display_treated_only_dir () const
bool | get_display_skipped () const
bool | get_empty () const

## Private Member Functions
void | destroy () noexcept
void | nullifyptr () noexcept
void | copy_from (const archive_options_test &ref)
void | move_from (archive_options_test &&ref) noexcept

## Private Attributes
mask * | x_selection
mask * | x_subtree
bool | x_info_details
bool | x_display_treated
bool | x_display_treated_only_dir
bool | x_display_skipped
bool | x_empty

## Detailed Description

class holding optional parameters used to test the structure coherence of an existing archive

Definition at line 1737 of file archive_options.hpp.

## Constructor & Destructor Documentation

## ◆ archive_options_test() [1/3]

libdar::archive_options_test::archive_options_test | ( |  | ) |
| inline

Definition at line 1740 of file archive_options.hpp.

## ◆ archive_options_test() [2/3]

libdar::archive_options_test::archive_options_test | ( | const archive_options_test & | ref | ) |
| inline

Definition at line 1741 of file archive_options.hpp.

## ◆ archive_options_test() [3/3]

libdar::archive_options_test::archive_options_test | ( | archive_options_test && | ref | ) |
| inlinenoexcept

Definition at line 1742 of file archive_options.hpp.

## ◆ ~archive_options_test()

libdar::archive_options_test::~archive_options_test | ( |  | ) |
| inline

Definition at line 1745 of file archive_options.hpp.

## Member Function Documentation

## ◆ get_display_skipped()

bool libdar::archive_options_test::get_display_skipped | ( |  | ) | const
| inline

Definition at line 1796 of file archive_options.hpp.

## ◆ get_display_treated()

bool libdar::archive_options_test::get_display_treated | ( |  | ) | const
| inline

Definition at line 1794 of file archive_options.hpp.

## ◆ get_display_treated_only_dir()

bool libdar::archive_options_test::get_display_treated_only_dir | ( |  | ) | const
| inline

Definition at line 1795 of file archive_options.hpp.

## ◆ get_empty()

bool libdar::archive_options_test::get_empty | ( |  | ) | const
| inline

Definition at line 1797 of file archive_options.hpp.

## ◆ get_info_details()

bool libdar::archive_options_test::get_info_details | ( |  | ) | const
| inline

Definition at line 1793 of file archive_options.hpp.

## ◆ get_selection()

const mask & libdar::archive_options_test::get_selection | ( |  | ) | const
| inline

Definition at line 1791 of file archive_options.hpp.

## ◆ get_subtree()

const mask & libdar::archive_options_test::get_subtree | ( |  | ) | const
| inline

Definition at line 1792 of file archive_options.hpp.

## ◆ operator=() [1/2]

archive_options_test & libdar::archive_options_test::operator= | ( | archive_options_test && | ref | ) |
| inlinenoexcept

Definition at line 1744 of file archive_options.hpp.

## ◆ operator=() [2/2]

archive_options_test & libdar::archive_options_test::operator= | ( | const archive_options_test & | ref | ) |
| inline

Definition at line 1743 of file archive_options.hpp.

## ◆ set_display_skipped()

void libdar::archive_options_test::set_display_skipped | ( | bool | display_skipped | ) |
| inline

whether to display files that have been excluded by filters

Definition at line 1777 of file archive_options.hpp.

## ◆ set_display_treated()

void libdar::archive_options_test::set_display_treated | ( | bool | display_treated,
|  | bool | only_dir )
| inline

defines whether to show treated files

Parameters

  [in] | display_treated | true to display processed inodes
  [in] | only_dir | only display the current directory under processing, not its individual files

Definition at line 1782 of file archive_options.hpp.

## ◆ set_empty()

void libdar::archive_options_test::set_empty | ( | bool | empty | ) |
| inline

dry-run exectution if set to true

Definition at line 1785 of file archive_options.hpp.

## ◆ set_info_details()

void libdar::archive_options_test::set_info_details | ( | bool | info_details | ) |
| inline

whether the user needs detailed output of the operation

Note
  in API 5.5.x and before this switch drove the displaying of processing messages and treated files. now it only drives the display of processing messages, use set_display_treated to define whether files under treatement should be display or not

Definition at line 1774 of file archive_options.hpp.

## ◆ set_subtree()

void libdar::archive_options_test::set_subtree | ( | const mask & | subtree | ) |

defines the directories and files to consider

Note
  WARNING: The filter mechanism used here is common to all operations and works by comparing full paths, while in the other hand, paths stored in the libdar archive are all relative to what was provided as fs_root at backup time. To have this filter mecanism working in the context of testing, where no fs_root can be provided to transform relative paths to absolute paths, libdar will emulate an fs_root with the pseudo root value of the path::FAKE_ROOT field. This is invisible form the libdar API user except when relying on mask_list objects, which cannot thus receive full path as those would not be prepended by path::FAKE_ROOT as fs_root value, because fs_root prefixing is only performed for relative paths.

## Member Data Documentation

## ◆ x_display_skipped

bool libdar::archive_options_test::x_display_skipped
| private

Definition at line 1805 of file archive_options.hpp.

## ◆ x_display_treated

bool libdar::archive_options_test::x_display_treated
| private

Definition at line 1803 of file archive_options.hpp.

## ◆ x_display_treated_only_dir

bool libdar::archive_options_test::x_display_treated_only_dir
| private

Definition at line 1804 of file archive_options.hpp.

## ◆ x_empty

bool libdar::archive_options_test::x_empty
| private

Definition at line 1806 of file archive_options.hpp.

## ◆ x_info_details

bool libdar::archive_options_test::x_info_details
| private

Definition at line 1802 of file archive_options.hpp.

## ◆ x_selection

mask* libdar::archive_options_test::x_selection
| private

Definition at line 1800 of file archive_options.hpp.

## ◆ x_subtree

mask* libdar::archive_options_test::x_subtree
| private

Definition at line 1801 of file archive_options.hpp.

The documentation for this class was generated from the following file:

- archive_options.hpp